accounts/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'accounts'

urlpatterns = [
    path('signup/', views.signup_view, name='signup'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),

]

posrestaurant/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('web.urls')),
    path('accounts/', include('accounts.urls')),
    path('restaurants/', include('restaurants.urls')),
    path('orderstations/', include('orderstation.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

restaurants/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views
from .views import SalesChartData
# from .views import GeneratePdf

app_name = 'restaurants'

urlpatterns = [
    path('', views.home_view, name='home'),
    # path('pdf/', GeneratePdf.as_view()),
    path('takeout/', views.takeout_view, name='takeout'),
    path('cashin/', views.cashin_view, name='cashin'),
    path('dine/', views.dines_view, name='dines'),
    path('dine/<int:tableNo>/', views.dine_view, name='dine'),
    path('addfoodmenu/', views.addfoodmenu_view, name='addfoodmenu'),
    path('editfoodmenu/', views.editfoodmenu_view, name='editfoodmenu'),
    path('savefoodmenu/', views.savefoodmenu_view, name='savefoodmenu'),
    path('cancelfoodmenu/', views.cancelfoodmenu_view, name='cancelfoodmenu'),

    path('takeoutfoodmenu/', views.takeoutfoodmenu_view, name='takeoutfoodmenu'),
    path('edittakeoutfoodmenu/', views.edittakeoutfoodmenu_view, name='edittakeoutfoodmenu'),
    path('canceltakeoutfoodmenu/', views.canceltakeoutfoodmenu_view, name='canceltakeoutfoodmenu'),
    path('paytakeoutfoodmenu/', views.paytakeoutfoodmenu_view, name='paytakeoutfoodmenu'),
    path('billing/<int:tableNo>/', views.billing_view, name='billing'),
    path('payment/', views.payment_view, name='payment'),
    path('addbillfoodmenu/', views.addbillfoodmenu_view, name='addbillfoodmenu'),
    path('editbillfoodmenu/', views.editbillfoodmenu_view, name='editbillfoodmenu'),
    path('cancelbillfoodmenu/', views.cancelbillfoodmenu_view, name='cancelbillfoodmenu'),
    path('sales/', views.sales_view, name='sales'),

    # Tables Section
    path('tablelist/', views.tablelist_view, name='tablelist'),
    path('addtable/', views.addtable_view, name='addtable'),
    path('edittable/', views.edittable_view, name='edittable'),
    path('deletetable/', views.deletetable_view, name='deletetable'),

    # Food Menu Section
    path('foodmenulist/', views.foodmenulist_view, name='foodmenulist'),
    path('addfoodmenulist/', views.addfoodmenulist_view, name='addfoodmenulist'),
    path('editfoodmenulist/', views.editfoodmenulist_view, name='editfoodmenulist'),
    path('deletefoodmenulist/', views.deletefoodmenulist_view, name='deletefoodmenulist'),

    # Food Category Section
    path('foodcategorylist/', views.foodcategorylist_view, name='foodcategorylist'),
    path('addfoodcategorylist/', views.addfoodcategorylist_view, name='addfoodcategorylist'),
    path('editfoodcategorylist/', views.editfoodcategorylist_view, name='editfoodcategorylist'),
    path('deletefoodcategorylist/', views.deletefoodcategorylist_view, name='deletefoodcategorylist'),

    # Close Transaction
    path('closetransaction/', views.closetransaction_view, name='closetransaction'),
    path('addcashremit/', views.addcashremit_view, name='addcashremit'),
    path('closed/', views.closed_view, name='closed'),

    # VOID 
    path('void/', views.void_view, name='void'),
    path('voidmenu/', views.voidmenu_view, name='voidmenu'),

    # TRANSACTION VOID
    path('transvoidfoodmenu/', views.transvoidfoodmenu_view, name='transvoidfoodmenu'),
    path('takeouttransvoidfoodmenu/', views.takeouttransvoidfoodmenu_view, name='takeouttransvoidfoodmenu'),

    # PAYMENT
    path('addamounttendered/', views.addamounttendered_view, name='addamounttendered'),

    # POS Settings
    path('possettings/', views.possettings_view, name='possettings'),
    path('editpossettings/', views.editpossettings_view, name='editpossettings'),

    # GENERATE RECEIPT
    path('pdf/', views.generatePdf, name='pdf'),
    path('bill/', views.generateBill, name='bill'),
    path('generatereceipt/', views.generateReceipt, name='generatereceipt'),
    path('generatebill/', views.generate_bill, name='generatebill'),
    path('downloaddine/<int:tableNo>/<int:refNo>/', views.downloaddine_view, name='downloaddine'),
    path('printdine/', views.printdine_view, name='printdine'),
    path('printtakeout/', views.printtakeout_view, name='printtakeout'),

    # REPORTS
    path('reports/', views.reports_view, name='reports'),
    path('api/saleschartdata/data/', SalesChartData.as_view()),

    # TRANSFER TABLE
    path('transfertable/', views.transfertable_view, name='transfertable'),

    
    path('sample/', views.sample_view, name='sample'),

]

web/urls.py
from django.contrib import admin
from django.urls import path
from . import views
from django.views.generic import TemplateView

# app_name='web'
urlpatterns = [
    path('', TemplateView.as_view(template_name='dashboard.html'), name='home'),
    # path('about', views.about, name='about'),
    # path('contact', views.contact, name='contact'),
    # path('properties', views.properties, name='properties'),
    # path('property/detail/<int:property_id>', views.property_detail, name='detail'),
    # path('search', views.search, name='search'),
]

web/templates/dashboard.html
{% extends 'main_base.html'%}
{% load static from staticfiles %}

{% block content %}
    <!-- <div class="text-center">
        <img class="itcsi" src="{% static 'dist/img/itcsi.png' %}" alt="User Image">
        <h4><strong>IT CORE Solutions Inc.</strong></h4>
    </div> -->

    <div class="text-center">
        <a href="{% url 'accounts:login' %}" class="btn btn-default btn-lg active text-black" role="button" style="background-color:#43c5a9;">Get Started</a>
    </div>
    <!-- <div class="lockscreen-footer text-center">
            &copy; Copyright 2018 <b><a href="https://adminlte.io" class="text-black">ITCoreSolutions</a></b><br>
        All rights reserved
    </div> -->
{% endblock %}

web/templates/login_base.html
{% load static from staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>Restaurant | Log in</title>
    
    {% block stylesheets %}
        <!-- Custom CSS -->
        <link rel="stylesheet" href="{% static 'custom/login.css' %}">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{% static 'bower_components/bootstrap/dist/css/bootstrap.min.css' %}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{% static 'bower_components/font-awesome/css/font-awesome.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{% static 'bower_components/Ionicons/css/ionicons.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{% static 'dist/css/AdminLTE.min.css' %}">
        <!-- iCheck -->
        <link rel="stylesheet" href="{% static 'plugins/iCheck/square/blue.css' %}">
        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    {% endblock %}
</head>

<body class="hold-transition login-page">
    <div class="login-box">
        <!-- <div class="text-center">
            <img class="itcsi" src="{% static 'dist/img/itcsi.png' %}" alt="User Image">
            <h4><strong>IT CORE Solutions Inc.</strong></h4>
        </div> -->
        <div class="login-logo">
            <!-- <a href="{% url 'home' %}"><b>POS</b>Restaurant</a> -->
            <img class="itcsi" src="{% static 'dist/img/restaurantlogo.png' %}" alt="User Image">
        </div>


        {% block content %}

        {% endblock %}
    </div>
    
{% block javascript %}
    <!-- jQuery 3 -->
    <script src="{% static 'bower_components/jquery/dist/jquery.min.js' %}"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="{% static 'bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
{% endblock %}

</body>
</html>

web/templates/main_base.html
{% load static from staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>Restaurant | Home</title>
    
    {% block stylesheets %}
        <!-- Custom CSS -->
        <link rel="stylesheet" href="{% static 'custom/dashboard.css' %}">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{% static 'bower_components/bootstrap/dist/css/bootstrap.min.css' %}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{% static 'bower_components/font-awesome/css/font-awesome.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{% static 'bower_components/Ionicons/css/ionicons.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{% static 'dist/css/AdminLTE.min.css' %}">
        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    {% endblock %}
</head>

<body class="hold-transition" style="background: url('{% static 'dist/img/itcsibackground.png' %}');"> <!-- lockscreen -->
    <div class="login-box">
        <div class="lockscreen-logo">
            <h1 style="color:#43c5a9;"><strong>Restaurant Management System</strong></h1>
        </div>


        {% block content %}

        {% endblock %}
    </div>
    
{% block javascript %}
    <!-- jQuery 3 -->
    <script src="{% static 'bower_components/jquery/dist/jquery.min.js' %}"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="{% static 'bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
{% endblock %}

</body>
</html>

web/templates/orderstation_base.html
{% load static from staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>POS | Restaurant</title>
    
    {% block stylesheets %}
        <!-- Custom CSS -->
        <link rel="stylesheet" href="{% static 'custom/orderstation.css' %}">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{% static 'bower_components/bootstrap/dist/css/bootstrap.min.css' %}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{% static 'bower_components/font-awesome/css/font-awesome.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{% static 'bower_components/Ionicons/css/ionicons.min.css' %}">
        <!-- DataTables -->
        <link rel="stylesheet" href="{% static 'bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{% static 'dist/css/AdminLTE.min.css' %}">
        <!-- iCheck -->
        <link rel="stylesheet" href="{% static 'dist/css/skins/_all-skins.min.css' %}">
        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    {% endblock %}
    <!-- <script type="text/javascript">
        // PressButton();
        function forceFullscreen()
        {
            var e = $.Event( "keypress", { which: 122 } );
            $(document).trigger(e);
            if(e.which==122){
            e.preventDefault();
            alert('F11 pressed');
            return false;
            }
        }
    
    </script>  -->
</head>

<body class="hold-transition skin-green layout-top-nav" style="height: auto; min-height: 100%;">
    <div class="wrapper panel-fullscreen">   
    <!-- <header>
        <nav>
            <ul>
                <li>
                    <form class="logout-link" action="{% url 'accounts:logout' %}" method="post">
                        {% csrf_token %}
                        <button type="submit">Logout</button>
                    </form>
                </li>
            </ul>
        </nav>
    </header> -->

        <header class="main-header">
            <nav class="navbar navbar-static-top">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <a class="navbar-brand" href="{% url 'restaurants:home' %}">
                            <img class="itcsi-dash" src="{% static 'dist/img/restaurantlogowhite.png' %}" alt="User Image">
                        </a>
                        <!-- <a href="{% url 'restaurants:home' %}" class="navbar-brand"><b>POS</b>Restaurant</a> -->
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
                            <i class="fa fa-bars"></i>
                        </button>
                    </div>
                </div>
            </nav>
        </header>

        {% block content %}

        {% endblock %}
    </div>
    
{% block javascript %}
    <!-- jQuery 3 -->
    <script src="{% static 'bower_components/jquery/dist/jquery.min.js' %}"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="{% static 'bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
    <!-- DataTables -->
    <script src="{% static 'bower_components/datatables.net/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js' %}"></script>
    <!-- SlimScroll -->
    <script src="{% static 'bower_components/jquery-slimscroll/jquery.slimscroll.min.js' %}"></script>
    <!-- Sparkline -->
    <script src="{% static 'bower_components/jquery-sparkline/dist/jquery.sparkline.min.js' %}"></script>
    <!-- FastClick -->
    <script src="{% static 'bower_components/fastclick/lib/fastclick.js' %}"></script>
    <!-- AdminLTE App -->
    <script src="{% static 'dist/js/adminlte.min.js' %}"></script>
    <!-- ChartJS -->
    <script src="{% static 'bower_components/chart.js/Chart.js' %}"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="{% static 'dist/js/demo.js' %}"></script>
    <!-- page script -->
    
    <script>
            $(document).on("click", ".order", function () {
                var tableno = $(this).data('id');
                $(".modal-body #tableno").val( tableno );
            });
            function print() {
                var objFra = document.getElementById('myFrame');
                objFra.contentWindow.focus();
                objFra.contentWindow.print();
            }
        </script>
    {% endblock %}

</body>
</html>

web/templates/register_base.html
{% load static from staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>Restaurant | Sign Up</title>
    
    {% block stylesheets %}
        <!-- Custom CSS -->
        <link rel="stylesheet" href="{% static 'custom/login.css' %}">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{% static 'bower_components/bootstrap/dist/css/bootstrap.min.css' %}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{% static 'bower_components/font-awesome/css/font-awesome.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{% static 'bower_components/Ionicons/css/ionicons.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{% static 'dist/css/AdminLTE.min.css' %}">
        <!-- iCheck -->
        <link rel="stylesheet" href="{% static 'plugins/iCheck/square/blue.css' %}">
        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    {% endblock %}
</head>

<body class="hold-transition register-page">
    <div class="register-box">
        <div class="register-logo">
            <a href="{% url 'home' %}"><b>POS</b>Restaurant</a>
        </div>


        {% block content %}

        {% endblock %}
    </div>
    
{% block javascript %}
    <!-- jQuery 3 -->
    <script src="{% static 'bower_components/jquery/dist/jquery.min.js' %}"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="{% static 'bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
{% endblock %}

</body>
</html>

web/templates/restaurant_base.html
{% load static from staticfiles %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-COMPATIBLE" content="IE=edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>POS | Restaurant</title>
    
    {% block stylesheets %}
        <!-- Custom CSS -->
        <link rel="stylesheet" href="{% static 'custom/restaurant.css' %}">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{% static 'bower_components/bootstrap/dist/css/bootstrap.min.css' %}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{% static 'bower_components/font-awesome/css/font-awesome.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{% static 'bower_components/Ionicons/css/ionicons.min.css' %}">
        <!-- DataTables -->
        <link rel="stylesheet" href="{% static 'bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{% static 'dist/css/AdminLTE.min.css' %}">
        <!-- iCheck -->
        <link rel="stylesheet" href="{% static 'dist/css/skins/_all-skins.min.css' %}">
        <!-- jvectormap -->
        <link rel="stylesheet" href="{% static 'bower_components/jvectormap/jquery-jvectormap.css' %}">
        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    {% endblock %}
    <!-- <script type="text/javascript">
        // PressButton();
        function forceFullscreen()
        {
            var e = $.Event( "keypress", { which: 122 } );
            $(document).trigger(e);
            if(e.which==122){
            e.preventDefault();
            alert('F11 pressed');
            return false;
            }
        }
    
    </script>  -->
</head>

<body class="hold-transition skin-green layout-top-nav" style="height: auto; min-height: 100%;">
    <div class="wrapper panel-fullscreen">   
    <!-- <header>
        <nav>
            <ul>
                <li>
                    <form class="logout-link" action="{% url 'accounts:logout' %}" method="post">
                        {% csrf_token %}
                        <button type="submit">Logout</button>
                    </form>
                </li>
            </ul>
        </nav>
    </header> -->

        <header class="main-header">
            <nav class="navbar navbar-static-top">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <a class="navbar-brand" href="{% url 'restaurants:home' %}">
                            <img class="itcsi-dash" src="{% static 'dist/img/restaurantlogowhite.png' %}" alt="User Image">
                        </a>
                        <!-- <a href="{% url 'restaurants:home' %}" class="navbar-brand"><b>POS</b>Restaurant</a> -->
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
                            <i class="fa fa-bars"></i>
                        </button>
                    </div>

                    <div class="collapse navbar-collapse pull-left" id="navbar-collapse">
                        <ul class="nav navbar-nav">
                            {% if checks == 0 %}
                                <li><a href="{% url 'restaurants:home' %}"><i class="fa fa-credit-card"></i> POS</a></li>
                            {% else %}
                                <li><a href="{% url 'restaurants:dines' %}"><i class="fa fa-credit-card"></i> POS</a></li>
                                <li><a href="{% url 'restaurants:void' %}"><i class="fa fa-file"></i> Void</a></li>
                            {% endif %}
                            <li><a href="{% url 'restaurants:sales' %}"><i class="fa fa-ticket"></i> Sales</a></li>
                            <!-- <li><a href="#"><i class="fa fa-home"></i> Stores</a></li> -->
                            <li><a href="{% url 'restaurants:tablelist' %}"><i class="fa fa-photo"></i> Tables</a></li>
                            <!-- <li><a href="#"><i class="fa fa-users"></i> Staffs</a></li> -->
                            <li><a href="{% url 'restaurants:foodcategorylist' %}"><i class="fa fa-bookmark"></i> Food Category</a></li>
                            <li><a href="{% url 'restaurants:foodmenulist' %}"><i class="fa fa-barcode"></i> Food Menu</a></li>
                            <li><a href="{% url 'restaurants:possettings' %}"><i class="fa fa-gears"></i> Setting</a></li>
                            <li><a href="{% url 'restaurants:reports' %}"><i class="fa fa-line-chart"></i> Reports</a></li>
                        </ul>
                    </div>

                    <div class="navbar-custom-menu">
                        <ul class="nav navbar-nav">
                            <!-- <li><a href="#modal-closetransaction" data-toggle="modal"><i class="fa fa-close"></i> Close Transaction</a></li> -->
                            <li class="dropdown user user-menu">
                                <!-- Menu Toggle Button -->
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <span class="hidden-xs text-capitalize text-bold">{{request.user}}</span>
                                    &nbsp;&nbsp;
                                    <i class="fa fa-gears"></i>
                                </a>
                                <ul class="dropdown-menu">
                                    <!-- Menu Footer-->
                                    <li class="user-footer">
                                        {% if checks == 0 %}
                                            <div class="pull-right">
                                                <form action="{% url 'accounts:logout' %}" method="post">
                                                    {% csrf_token %}
                                                    <button class="btn btn-danger btn-flat" type="submit">Sign out</button>
                                                </form>
                                                <!-- <a href="#" class="btn btn-danger btn-flat">Sign out</a> -->
                                            </div>
                                        {% else %}
                                            <div class="pull-left">
                                                <a href="{% url 'restaurants:closetransaction' %}" class="btn btn-warning btn-flat" data-toggle="modal"><i class="fa fa-close"></i> Close Transaction</a>
                                            </div>
                                            <div class="pull-right">
                                                <form action="{% url 'accounts:logout' %}" method="post">
                                                    {% csrf_token %}
                                                    <button class="btn btn-danger btn-flat" type="submit">Sign out</button>
                                                </form>
                                                <!-- <a href="#" class="btn btn-danger btn-flat">Sign out</a> -->
                                            </div>
                                        {% endif %}
                                        
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>
        </header>

        {% block content %}

        {% endblock %}
    </div>
    
{% block javascript %}
    <!-- jQuery 3 -->
    <script src="{% static 'bower_components/jquery/dist/jquery.min.js' %}"></script>
    <!-- Bootstrap 3.3.7 -->
    <script src="{% static 'bower_components/bootstrap/dist/js/bootstrap.min.js' %}"></script>
    <!-- DataTables -->
    <script src="{% static 'bower_components/datatables.net/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js' %}"></script>
    <!-- SlimScroll -->
    <script src="{% static 'bower_components/jquery-slimscroll/jquery.slimscroll.min.js' %}"></script>
    <!-- Sparkline -->
    <script src="{% static 'bower_components/jquery-sparkline/dist/jquery.sparkline.min.js' %}"></script>
    <!-- FastClick -->
    <script src="{% static 'bower_components/fastclick/lib/fastclick.js' %}"></script>
    <!-- AdminLTE App -->
    <script src="{% static 'dist/js/adminlte.min.js' %}"></script>
    <!-- ChartJS -->
    <script src="{% static 'bower_components/chart.js/Chart.js' %}"></script>
    <!-- jvectormap  -->
    <script src="{% static 'plugins/jvectormap/jquery-jvectormap-1.2.2.min.js' %}"></script>
    <script src="{% static 'plugins/jvectormap/jquery-jvectormap-world-mill-en.js' %}"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="{% static 'dist/js/pages/dashboard2.js' %}"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="{% static 'dist/js/demo.js' %}"></script>
    <!-- page script -->
    {% if successful_submit %}
        <script type="text/javascript">
            $(document).ready(function(){
                $("#donepayment").modal({backdrop: 'static', keyboard: false});
                $("#donepayment").modal('show');
            });
        </script>
    {% endif %}
    
    <script>
        function printorders() {
            var objFra = document.getElementById('myFrame');
            objFra.contentWindow.focus();
            objFra.contentWindow.print();
        }
    </script>
    <script>
        var $submit = $('.nav-discount ');
        $checkbox = $('input[type=checkbox]');

        $submit.prop('disabled', true);

        $checkbox.on('click', function(){
            if ($("input:checkbox:checked").length > 0) {
                // $submit.removeAttr('disabled');
                $('.nav-discount ').show();
            }else{
                // $submit.prop('disabled', true);
                $('.nav-discount ').hide();
            }
        });

        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable()
            $('.nav-discount ').hide()
        })
        $(document).on("click", ".transfer", function () {
            var tableno = $(this).data('id');
            $(".modal-body #tableno").val( tableno );
            // As pointed out in comments, 
            // it is superfluous to have to manually call the modal.
            // $('#addBookDialog').modal('show');
        });
        $(document).on("click", ".main", function () {
            var id = $(this).data('id');
            var refno = $(this).data('name');
            $(".modal-body #id").val( id );
            $(".modal-body #ref").val( refno );
            // As pointed out in comments, 
            // it is superfluous to have to manually call the modal.
            // $('#addBookDialog').modal('show');
        });
        $(document).on("click", ".payment", function () {
            var orderno = $(this).data('id');
            var transid = $(this).data('name');
            $(".modal-body #orderNo").val( orderno );
            $(".modal-body #transID").val( transid );
        });
        $(document).on("click", ".additional", function () {
        });
        $(document).on("click", ".edittable", function () {
            var idno = $(this).data('id');
            var tableno = $(this).data('name');
            $(".modal-body #idno").val( idno );
            $(".modal-body #tableno").val( tableno );
        });
        $(document).on("click", ".deletetable", function () {
            var idno = $(this).data('id');
            var tableno = $(this).data('name');
            $(".modal-body #idno").val( idno );
            $(".modal-body #tableno").val( tableno );
        });
    </script>
    <script>
        $('.btn-number').click(function(e){
            e.preventDefault();
            
            fieldName = $(this).attr('data-field');
            type      = $(this).attr('data-type');
            var input = $("input[name='"+fieldName+"']");
            var currentVal = parseInt(input.val());
            if (!isNaN(currentVal)) {
                if(type == 'minus') {
                    
                    if(currentVal > input.attr('min')) {
                        input.val(currentVal - 1).change();
                    } 
                    if(parseInt(input.val()) == input.attr('min')) {
                        $(this).attr('disabled', true);
                    }

                } else if(type == 'plus') {

                    if(currentVal < input.attr('max')) {
                        input.val(currentVal + 1).change();
                    }
                    if(parseInt(input.val()) == input.attr('max')) {
                        $(this).attr('disabled', true);
                    }

                }
            } else {
                input.val(0);
            }
        });
    </script>
    
    {% endblock %}

</body>
</html>